@import "mocha.css";

* {
  font-family: "Ubuntu Nerd Font", "FontAwesome 15 Free";
  font-size: 15px;
  min-height: 0;
}

#waybar {
  background: transparent;
  color: @text;
  margin: 3px 3px;
}

#workspaces {
  border-radius: 1rem;
  margin: 3px;
  background-color: @surface0;
  margin-left: 0.4rem;
}

#workspaces button {
  color: @lavender;
  border-radius: 1rem;
  padding: 0.3rem;
}

#workspaces button.active {
  color: @sky;
  border-radius: 1rem;
}

#workspaces button:hover {
  color: @sapphire;
  border-radius: 1rem;
}

#custom-music,
#tray,
#backlight,
#clock,
#idle_inhibitor,
#battery,
#pulseaudio,
#temperature,
#custom-lock,
#custom-power,
#custom-nccenter {
  background-color: @surface0;
  padding: 0.5rem 0.5rem;
  margin: 3px 0;
}

#clock {
  color: @blue;
  border-radius: 0px 1rem 1rem 0px;
  margin-right: 0.5rem;
}

#idle_inhibitor {
  color: @teal;
}

#battery {
  color: @green;
}

#battery.charging {
  color: @green;
}

#battery.warning:not(.charging) {
  color: @red;
}

#backlight {
  color: @yellow;
}

#backlight,
#battery {
  border-radius: 0;
}

#pulseaudio {
  color: @maroon;
  border-radius: 0;
}

#temperature {
  color: @peach;
  border-radius: 1rem 0px 0px 1rem;
  margin-left: 1rem;
}

#custom-music {
  color: @mauve;
  border-radius: 1rem;
}

#custom-lock {
  border-radius: 1rem;
  color: @lavender;
}

#custom-power {
  margin-right: 0.5rem;
  margin-left: 0.5rem;
  border-radius: 1rem 1rem 1rem 1rem;
  color: @red;
}

#tray {
  margin-right: 0.5rem;
  margin-left: 0.5rem;
  border-radius: 1rem;
}

#custom-nccenter {
  border-radius: 1rem 1rem 1rem 1rem;
  margin-right: 0.5rem;
  margin-left: 0.5rem;
}
